function plotnodes(self,varargin)
  if self.d>3
    error('Unable to plot in dimension > 3!')
  end
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('m',self.d,@isscalar);
  p.addParamValue('labels',[]);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  assert( (R.m <= self.d) & (R.m>=0) )
  set(gcf(),'visible','off')
  if R.m==self.d
    self.Mesh.plotnodes(varargin{:});
  else
    idx=self.getFacesIndex(R.m);
    nF=length(self.Faces{idx});
    if isempty(R.labels)
      R.labels=1:nF;
    else
      assert(isempty(setdiff(R.labels,1:nF)),'Error with labels option')
    end
    pih=fc_tools.graphics.SetHoldOn(true);
    for i=R.labels
      self.Faces{idx}(i).plotnodes(varargin{:});
    end
    fc_tools.graphics.RestoreHold(pih)
  end
  xlabel('x');
  if self.d==1,set(gca,'YTickLabel',{' '});end
  if self.d>1,ylabel('y');end
  if self.d>2,zlabel('z');end
  axis image
  set(gcf(),'visible','on')
  if self.d==3,view(3);end
end
