function varargout=plotRefElement(d,k,varargin)
  clf
  p = inputParser; 
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.addParamValue('N',2:4);
  p.addParamValue('vcolor','k'); % vertices color
  p.addParamValue('vsize',70); % 
  p.addParamValue('ncolor','DarkSlateGray'); % nodes color
  p.addParamValue('nsize',30); % 
  p.addParamValue('FaceColor','LightGray'); % face color
  p.addParamValue('FaceAlpha',0.2); % face alpha
  p.addParamValue('LineWidth',1.5);
  p.addParamValue('FontSize',10);
  p.addParamValue('view',[116,13]);
  p.parse(varargin{:});
  R=p.Results;
  %R.vcolor=fc_tools.graphics.xcolor.val2rgb(R.vcolor);
  %R.ncolor=fc_tools.graphics.xcolor.val2rgb(R.ncolor);
  [q,me]=fc_hypermesh.CG.RefElement(d,k,'type',R.type);
  K=fc_hypermesh.EltMesh(d,d,q,me,me','order',k);
  if d==3
    K.plotmesh('LineWidth',R.LineWidth,'FaceColor',R.FaceColor,'FaceAlpha',R.FaceAlpha)
  else
    K.plotmesh('LineWidth',R.LineWidth)
  end  
  hold on
  K.plotnodes('vcolor',R.vcolor,'vsize',R.vsize,'ncolor',R.ncolor,'nsize',R.nsize)
  xlabel('x');ylabel('y');
  if d==3, view(R.view);zlabel('z');end 
  axis image
  if R.FontSize >0
    c=1/25;
    if d==3
      D=[-c;c;c];
      A=[-c 1 0 1+c 0 1+c];
    elseif d==2
      D=[c;c];
      A=[0 1+c 0 1+c ];
    end
    fc_hypermesh.plotNodesNumber(q+D,'FontSize',R.FontSize,'EdgeColor','k')
    axis(A)
  end  
  
  if nargout>=1, varargout{1}=q;end
  if nargout==2, varargout{2}=me;end
end
